Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get company

Get a single company by ID with basic details and connections

GET/companies/{companyId}
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Path parameters
companyIdstringrequired
matches ^\d+$
Responses
200

OK

connectionsobjectrequired
Show properties
emailstring | nullrequired
Show properties
Any of:
string
string
null
null
githubstring | nullrequired
Show properties
Any of:
string
string
null
null
linkedinstring | nullrequired
Show properties
Any of:
string
string
null
null
phonestring | nullrequired
Show properties
Any of:
string
string
null
null
twitterstring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>
idstringrequired
matches ^\d+$
isOrgCompanybooleanrequired
isVipbooleanrequired
logoUrlstring<uri> | nullrequired

Company logo image URL.

Show properties
Any of:
string<uri>
string<uri>
null
null
namestringrequired

Company name.

primaryDomainstring | nullrequired
Show properties
Any of:
string
string
null
null
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/companies/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "connections": {
    "email": "string",
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "twitter": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "isOrgCompany": true,
  "isVip": true,
  "logoUrl": "http://example.com",
  "name": "string",
  "primaryDomain": "string"
}

Was this page helpful?